<!DOCTYPE html>
<html dir="ltr">
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Shades - Login</title>
    <link rel="canonical" href="https://www.wrappixel.com/templates/ampleadmin/" />
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="../../assets/images/logos/logo2.png" />
    <!-- Custom CSS -->
    <link href="../../dist/css/style.min.css" rel="stylesheet" />
  </head>

  <body>
    <div class="main-wrapper">
      <div class="auth-wrapper d-flex no-block justify-content-center align-items-center" style="no-repeat center center; background-size: cover;">
        <div class="auth-box p-4 bg-white rounded">
          <div id="loginform">
            <div class="logo">
              {{-- <h3 class="box-title mb-3">Sign In</h3> --}}
              <div class="text-center">
                <img src="../../assets/images/logos/logo2.png" alt="homepage" class="dark-logo" />
              </div>

                @if (\Session::has('message'))
                    <div class="alert alert-dismissible fade show {{(Session::get('message')['type'] == 'success') ? "alert-success" : "alert-danger"}} fadeInUp animated" role="alert">
                        <strong>{{ Session::get('message')['title'] }}</strong> {{Session::get('message')['text']}}
                        {{-- <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">X</span>
                        </button> --}}
                    </div>
                @endif
            </div>
            <!-- Form -->
            <div class="row">
              <div class="col-12">
                <form data-toggle="validator" role="form" method="POST" action="{{ route('contrasena_expirada') }}">
                    @csrf
                    <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Contraseña Actual</label>
                                    <div class="input-group mb-3">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon3"><i class="fa fa-unlock" aria-hidden="true"></i></span>
                                        </div>
                                        <input id="password" type="password"  class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }}"  aria-describedby="basic-addon3" name="current-password" required>
                                        @if ($errors->has('password'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('password') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Nueva Contraseña</label>
                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon3"><i class="fa fa-unlock" aria-hidden="true"></i></span>
                                    </div>
                                    <input id="password" type="password"  class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }}"  aria-describedby="basic-addon3" name="new-password" required>
                                    @if ($errors->has('password'))
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('password') }}</strong>
                                        </span>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Repetir Contraseña</label>
                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon3"><i class="fa fa-unlock" aria-hidden="true"></i></span>
                                    </div>
                                    <input id="password" type="password"  class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }}"  aria-describedby="basic-addon3" name="repeat-password" required>
                                    @if ($errors->has('password'))
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('password') }}</strong>
                                        </span>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>

                    <input type="hidden" name="password_expired_id" value="{{$password_expired_id}}">

                    <div class="row">
                        <div class="col-md-12">
                            <button class="btn btn-info d-block w-100 waves-effect waves-light" value="Login"  type="submit">{{ __('Actualizar') }}</button>
                            {{-- <button type="submit" class="btn btn-primary btn-lg btn-block" value="Login" name="submit"> --}}

                            </button>

                        </div>
                    </div>
                </form>

                <div class="clear"></div>
              </div>
            </div>
          </div>

        </div>
      </div>

    </div>
    <script src="../../assets/libs/jquery/dist/jquery.min.js"></script>
    <script src="../../assets/libs/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script>
      $(".preloader").fadeOut();
      $("#to-recover").on("click", function () {
        $("#loginform").slideUp();
        $("#recoverform").fadeIn();
      });
    </script>
  </body>
</html>

