@extends('layouts.app')
@extends('layouts.head')
@extends('layouts.preloader')
@extends('layouts.scripts')
@extends('layouts.topbar')
@extends('layouts.lefsidebar')

@section('content')


<div id="main-wrapper">
    <div class="page-wrapper">
      <div class="page-breadcrumb border-bottom">
        <div class="row">
          <div class="col-lg-3 col-md-4 col-xs-12 justify-content-start d-flex align-items-center">
            <h5 class="font-weight-medium text-uppercase mb-0">Inicio</h5>
          </div>
          <div class="col-lg-9 col-md-8 col-xs-12 d-flex justify-content-start justify-content-md-end align-self-center" >
            <nav aria-label="breadcrumb" class="mt-2">
              <ol class="breadcrumb mb-0 p-0">
                <li class="breadcrumb-item"><a >Inicio</a></li>
              </ol>
            </nav>
        </div>

        </div>
      </div>
      <div class="page-content container-fluid">
        <div class="row">
            <div class="col-lg-12 text-center">
              <div class="card text-center">
                <div class="card-body">
                    @if( $nombreArchivo == 'No contiene archivos' )
                        <label>Aun no contiene archivos para su descarga</label>
                    @else
                        <a href="{{ Storage::url( $nombreArchivo ) }}" target="_blanck" download><img src="../../assets/images/pdf-descarga.png" class="rounded-3 img-fluid" width="140"></a>
                    @endif
                  <div class="mt-n2">
                    @if ($nombreArchivo != 'No contiene archivos')
                        <span class="badge bg-warning">Descargar PDF</span>
                    @endif
                    <h3 class="card-title mt-3">{{ $nombreEmpleado }}</h3>
                  </div>
                  <div class="row mt-3 justify-content-center">
                    <div class="col-6 col-xl-3 text-center">
                      <div class="py-2 px-3 bg-light rounded-pill d-flex justify-content-center">
                        <div class="ms-2 text-start ">
                          <h6 class="fw-normal text-muted mb-0 text-center">Última actualización</h6>
                          <h4 class="mb-0 text-center">{{ $fechaArchivo }}</h4>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-body">
                  <h5 class="card-title mb-0">Últimas nóminas cargadas</h5>
                </div>
                <div class="table-responsive">
                  <table class="table no-wrap user-table mb-0">
                    <thead class="table-light">
                      <tr>
                        <th scope="col" class="border-0 fs-4 font-weight-medium ps-4">#</th>
                        <th scope="col" class="border-0 fs-4 font-weight-medium">Tipo de nomina</th>
                        <th scope="col" class="border-0 fs-4 font-weight-medium">Año</th>
                        <th scope="col" class="border-0 fs-4 font-weight-medium">Numero de nomina</th>
                        <th scope="col" class="border-0 fs-4 font-weight-medium">Fecha de carga</th>
                        <th scope="col" class="border-0 fs-4 font-weight-medium">PDF</th>
                      </tr>
                    </thead>
                    <tbody>

                        @if ( is_null( $archivosEmpleado->datosEmpleado) )
                            <tr>
                                <td colspan="6" class="text-center">Sin información</td>
                            </tr>

                        @else
                            @foreach ( $archivosEmpleado->datosEmpleado->archivosNominas as $i => $archivo )
                                <tr>
                                    <td class="ps-4">{{ ( $i + 1 ) }}</td>
                                    <td><h5 class="font-weight-medium mb-0">{{ $archivo->tipo_nomina }}</h5></td>
                                    <td><span>{{ $archivo->ano_fiscal }}</span> </td>
                                    <td><span>{{ $archivo->numero_nomina }}</span></td>
                                    <td><span>{{ $archivo->fecha_registro }}</span></td>
                                    <td><a href="{{ Storage::url( $archivo->nombre_archivo) }}" class="text-info edit" target="_blanck" target="_blanck" download><img src="../../assets/images/pdf-descarga.png" class="rounded-3 img-fluid" width="50px"></a></td>
                                </tr>
                            @endforeach
                        @endif

                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>

      </div>
    </div>
</div>
@endsection

@section('script')
    <script src="js/administracion/usuarios.js"></script>
@endsection
