$(function () {


    $(".formNuevaCuenta").on("submit", function(e){

        e.preventDefault();

        var check = document.getElementsByClassName('formNuevaCuenta')[0].reportValidity();

        if (check) {

            let datos = $(this).serialize() ;

            Swal.fire({
                title: "¿Esta seguro que desea agregar una nueva cuenta?",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#3085d6",
                cancelButtonColor: "#d33",
                cancelButtonText: "Cancelar",
                confirmButtonText: "Aceptar",
            }).then((result) => {
                if (result.value) {
                    $.ajax({
                        type:'POST',
                        url:'nueva_cuenta',
                        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                        data:datos,
                        success:function(data){

                            tabla_cuentas();
                            $('#cerrarNuevoCuentaNueva').trigger("click");
                            Swal.fire("¡Éxito!", "Se agrego un nuevo registro de cuenta.", "success");
                            $(".formNuevaCuenta")[0].reset();
                            $(".formNuevaCuenta")[0].classList.remove("was-validated");
              
                        }
                    });

                }
            });

        }else{
            errorFaltanCampos();
        }


      });

      $(".formEditarCuenta").on("submit", function(e){

        e.preventDefault();

        var check = document.getElementsByClassName('formEditarCuenta')[0].reportValidity();

        if (check) {
            Swal.fire({
                title: "¿Esta seguro que quiere modificar esta cuenta?",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#3085d6",
                cancelButtonColor: "#d33",
                cancelButtonText: "Cancelar",
                confirmButtonText: "Aceptar",
            }).then((result) => {
                if (result.value) {

                    let datos = $(this).serialize() ;

                    $.ajax({
                        type:'POST',
                        url:'editar_cuenta',
                        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                        data:datos,
                        success:function(data){

                            tabla_cuentas();
                            $('#cerrarEditarCuenta').trigger("click");
                            Swal.fire("¡Éxito!", "Se modifico la información de la cuenta.", "success");
                         
                        }
                    });

                }
            });

        }else{

            errorFaltanCampos();

        }


      });



});

tabla_cuentas();

function tabla_cuentas(){

    $('#tablaCuentas').empty();

    $('#tablaCuentas').DataTable({
        searchDelay: 400,
        ajax: {
            url: "api/lista_cuentas",
            dataSrc: function(json){
                console.info(json);
                return json;
            }
        },
        order: [[0, 'asc']],
        ordering:true,
        columns:[
              { data: "nombre_cuenta", defaultContent: "---", title: "Nombre cuenta" },
              { data: "contacto_principal", defaultContent: "---", title: "Contacto principal" },
              { data: "correo_contacto", defaultContent: "---", title: "Correo contacto" },
              { data: "telefono_contacto", defaultContent: "---", title: "Teléfono contacto" },
              {data:function(row, type){

                const id = row.id;

                 return  '<div class="dropdown dropstart">'+
                            '<a href="table-basic.html#" class="link" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">'+
                                '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-more-horizontal feather-sm">'+
                                    '<circle cx="12" cy="12" r="1"></circle>'+
                                    '<circle cx="19" cy="12" r="1"></circle>'+
                                    '<circle cx="5" cy="12" r="1"></circle>'+
                                '</svg>'+
                            '</a>'+
                            '<ul class="dropdown-menu" aria-labelledby="dropdownMenuButton" style="">'+
                                '<li>'+
                                    '<a class="dropdown-item" data-bs-toggle="offcanvas" data-bs-target="#offcanvasShow" aria-controls="offcanvasShow" onclick="cargarInfoCuenta('+ row.id +',1)">Detalle</a>'+
                                '</li>'+
                                '<li>'+
                                    '<a class="dropdown-item" data-bs-toggle="offcanvas" data-bs-target="#offcanvasEdit" aria-controls="offcanvasEdit" onclick="cargarInfoCuenta('+ row.id +',2)" >Editar</a>'+
                                '</li>'+
                                '<li>'+
                                    '<a class="dropdown-item" onclick="eliminarCuenta('+ row.id +')">Borrar</a>'+
                                '</li>'+
                            '</ul>'+
                        '</div>';

              },
              title: "Acciones"}
        ],
        aLengthMenu: [
            [25, 50, 100, 200, -1],
            [25, 50, 100, 200, 'All']
        ],
        destroy: true,
        paging:true,
        info:true,
        // responsive: true,
        // dom: "Bfrtip",
        // buttons: ["copy", "csv", "excel", "pdf", "print"],
        "language": {
            "url": "//cdn.datatables.net/plug-ins/1.10.19/i18n/Spanish.json"
        }

    });

}



function cargarInfoCuenta(id , tipoForm ){

    $('#id_cuenta').val(id);

    $.get('api/datos_cuenta',{id:id},function(data){

        $.each(data,function(i,ele){

            if(tipoForm == 1){
                $('#mostrar_'+i).val(ele);
            }else{
                $('#editar_'+i).val(ele);
            }
            

        });
    });

}

function eliminarCuenta(id){

    Swal.fire({
        title: "¿Esta seguro que quiere eliminar esta cuenta?",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        cancelButtonText: "Cancelar",
        confirmButtonText: "Aceptar",
        }).then((result) => {
        if (result.value) {

            $.ajax({
                type:'POST',
                url:'eliminar_cuenta',
                headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                data:{id:id},
                success:function(data){
                    tabla_cuentas();
                    Swal.fire("¡Éxito!", "Se elimino el registro de cuenta.", "success");

                }
            });

        }
    });
}

function errorFaltanCampos(){

    Swal.fire({
        title: "Alerta!",
        text: "Faltan campos por llenar.",
        type: "warning",
        timer: 3000,
        showConfirmButton: false,
      });

}

(function () {
    "use strict";
    window.addEventListener(
      "load",
      function () {
        // Fetch all the forms we want to apply custom Bootstrap validation styles to
        var forms = document.getElementsByClassName("needs-validation");
        // Loop over them and prevent submission
        var validation = Array.prototype.filter.call(
          forms,
          function (form) {
            form.addEventListener(
              "submit",
              function (event) {
                if (form.checkValidity() === false) {
                  event.preventDefault();
                  event.stopPropagation();
                }
                form.classList.add("was-validated");
              },
              false
            );
          }
        );
      },
      false
    );
  })();
