$(function () {


    $.get( 'api/reporte_actividades',function(data){

        console.info(data);

        var chart = c3.generate({
            bindto: d3.select('.chart'),
            data: {
                json: data,
                keys: {
                    x: 'usuario',
                    value: ['En Proceso', 'Pendientes','Solicitud de Terminado','Terminado'],
                },
                type: 'bar'
            },
            axis: {
                x: {
                    type: 'category',
                    tick: {
                        rotate: 75,
                        multiline: false
                    }
                }
            }
        });

        setTimeout(function () {
            chart.load({});
        }, 1000);

    });


    $.get( 'api/reporte_tareas_rechazadas',function(data){

        console.info(data);

        var chart = c3.generate({
            bindto: d3.select('.chart2'),
            data: {
                columns: data,
                type: 'pie'
            }
        });

        setTimeout(function () {
            chart.load({});
        }, 1000);

    });



});

cargarListaTareas(1);


function cargarListaTareas(fk_id_users){

    $('#reporteUsuario').empty();


    var table = $('#reporteUsuario').DataTable({
        dom: 'Bfrtip',
        buttons: [
            // {
            //     extend:    'copyHtml5',
            //     text:      '<i class="fa fa-files-o"></i>',
            //     titleAttr: 'Copy'
            // },
            {
                extend:    'excelHtml5',
                text:      'Excel',
                titleAttr: 'Excel',
                className: 'btn btn-secondary mr-1"'
            },
            // {
            //     extend:    'csvHtml5',
            //     text:      '<i class="fa fa-file-text-o"></i>',
            //     titleAttr: 'CSV'
            // },
            // {
            //     extend:    'pdfHtml5',
            //     text:      '<i class="fa fa-file-pdf-o"></i>',
            //     titleAttr: 'PDF'
            // }
        ],
        searchDelay: 400,
        ajax: {
            url: 'api/reporte_tareas',
            dataSrc: function(json){
                return json;
            }
        },
        order: [[0, 'asc']],
        ordering:true,
        columns:[
            //   { data: "id", defaultContent: "---", title: "#2" },
              { data: "clientes.nombre_cliente", defaultContent: "---", title: "Cliente" },
              { data: "tarea", defaultContent: "---", title: "Tarea" },
              { data: "prioridades.prioridad", defaultContent: "---", title: "Prioridad" },
              { data: "usuarios_alta.name", defaultContent: "---", title: "Asigno" },
              { data: "usuarios_asignado.name", defaultContent: "---", title: "Realiza" },
              { data: "fecha_inicio", defaultContent: "---", title: "Fecha Inicio" },
              { data: "fecha_final", defaultContent: "---", title: "Fecha Final" },
              { data: "estatus.estatus", defaultContent: "---", title: "Estatus"  },

        ],
        destroy: true,
        paging:true,
        info:true,
        // responsive: true,
        scrollX: true,
        "language": {
            "url": "//cdn.datatables.net/plug-ins/1.10.19/i18n/Spanish.json"
        }

    });




}
