$(function () {

    // $('#fk_id_cuenta').select2();

    $('#fk_id_cuenta').select2({dropdownParent: $('#offcanvasRight')});
    $('#fk_id_contacto').select2({dropdownParent: $('#offcanvasRight')});
    $('#fk_id_tipo_industria').select2({dropdownParent: $('#offcanvasRight')});
    $('#fk_id_tipo_cotizacion').select2({dropdownParent: $('#offcanvasRight')});
    $('#fk_id_divisa').select2({dropdownParent: $('#offcanvasRight')});



    $(".formNuevoContacto").on("submit", function(e){

        e.preventDefault();

        var check = document.getElementsByClassName('formNuevoContacto')[0].reportValidity();

        if (check) {

            let datos = $(this).serialize() ;

            Swal.fire({
                title: "¿Esta seguro que desea agregar un nuevo cliente?",
                // text: "You won't be able to revert this!",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#3085d6",
                cancelButtonColor: "#d33",
                cancelButtonText: "Cancelar",
                confirmButtonText: "Aceptar",
            }).then((result) => {
                if (result.value) {
                    $.ajax({
                        type:'POST',
                        url:'nuevo_contacto',
                        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                        data:datos,
                        success:function(data){

                            tabla_contactos();
                            $('#cerrarNuevoContactoNuevo').trigger("click");
                            Swal.fire("¡Éxito!", "Se agrego un nuevo registro de cliente.", "success");
                            $(".formNuevoContacto")[0].reset();
                            $(".formNuevoContacto")[0].classList.remove("was-validated");
              
                        }
                    });

                }
            });

        }else{
            errorFaltanCampos();
        }


      });

      $(".formEditarContacto").on("submit", function(e){

        e.preventDefault();

        var check = document.getElementsByClassName('formEditarContacto')[0].reportValidity();

        if (check) {
            Swal.fire({
                title: "¿Esta seguro que quiere modificar este contacto?",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#3085d6",
                cancelButtonColor: "#d33",
                cancelButtonText: "Cancelar",
                confirmButtonText: "Aceptar",
            }).then((result) => {
                if (result.value) {

                    let datos = $(this).serialize() ;

                    $.ajax({
                        type:'POST',
                        url:'editar_contacto',
                        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                        data:datos,
                        success:function(data){

                            tabla_contactos();
                            $('#cerrarEditarContacto').trigger("click");
                            Swal.fire("¡Éxito!", "Se modifico la información del contacto.", "success");
                         
                        }
                    });

                }
            });

        }else{

            errorFaltanCampos();

        }


      });



});

tabla_contactos();

function tabla_contactos(){

    $('#tablaContactos').empty();

    $('#tablaContactos').DataTable({
        searchDelay: 400,
        ajax: {
            url: "api/lista_contactos",
            dataSrc: function(json){
                console.info(json);
                return json;
            }
        },
        order: [[0, 'asc']],
        ordering:true,
        columns:[
              { data: "nombre_contacto", defaultContent: "---", title: "Nombre contacto" },
              { data: "email", defaultContent: "---", title: "Correo eletrónico" },
              { data: "planta", defaultContent: "---", title: "Nombre de la compañia" },
              { data: "telefono_trabajo", defaultContent: "---", title: "Teléfono del trabajo" },
              {data:function(row, type){

                const id = row.id;

                 return  '<div class="dropdown dropstart">'+
                            '<a href="table-basic.html#" class="link" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-expanded="false">'+
                                '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-more-horizontal feather-sm">'+
                                    '<circle cx="12" cy="12" r="1"></circle>'+
                                    '<circle cx="19" cy="12" r="1"></circle>'+
                                    '<circle cx="5" cy="12" r="1"></circle>'+
                                '</svg>'+
                            '</a>'+
                            '<ul class="dropdown-menu" aria-labelledby="dropdownMenuButton" style="">'+
                                '<li>'+
                                    '<a class="dropdown-item" data-bs-toggle="offcanvas" data-bs-target="#offcanvasShow" aria-controls="offcanvasShow" onclick="cargarInfoContacto('+ row.id +',1)">Detalle</a>'+
                                '</li>'+
                                '<li>'+
                                    '<a class="dropdown-item" data-bs-toggle="offcanvas" data-bs-target="#offcanvasEdit" aria-controls="offcanvasEdit" onclick="cargarInfoContacto('+ row.id +',2)" >Editar</a>'+
                                '</li>'+
                                '<li>'+
                                    '<a class="dropdown-item" onclick="eliminarContacto('+ row.id +')">Borrar</a>'+
                                '</li>'+
                            '</ul>'+
                        '</div>';

              },
              title: "Acciones"}
        ],
        aLengthMenu: [
            [25, 50, 100, 200, -1],
            [25, 50, 100, 200, 'All']
        ],
        destroy: true,
        paging:true,
        info:true,
        // responsive: true,
        // dom: "Bfrtip",
        // buttons: ["copy", "csv", "excel", "pdf", "print"],
        "language": {
            "url": "//cdn.datatables.net/plug-ins/1.10.19/i18n/Spanish.json"
        }

    });

}



function cargarInfoContacto(id , tipoForm ){

    $('#id_contacto').val(id);

    $.get('api/datos_contacto',{id:id},function(data){

        $.each(data,function(i,ele){

            if(tipoForm == 1){
                $('#mostrar_'+i).val(ele);
            }else{
                $('#editar_'+i).val(ele);
            }
            

        });
    });

}

function eliminarContacto(id){

    Swal.fire({
        title: "¿Esta seguro que quiere eliminar este contacto?",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        cancelButtonText: "Cancelar",
        confirmButtonText: "Aceptar",
        }).then((result) => {
        if (result.value) {

            $.ajax({
                type:'POST',
                url:'eliminar_contacto',
                headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                data:{id:id},
                success:function(data){
                    tabla_contactos();
                    Swal.fire("¡Éxito!", "Se elimino el registro del cliente.", "success");

                }
            });

        }
    });
}

function errorFaltanCampos(){

    Swal.fire({
        title: "Alerta!",
        text: "Faltan campos por llenar.",
        type: "warning",
        timer: 3000,
        showConfirmButton: false,
      });

}

// function limpiaForm(miForm) {
//     // recorrer todos los campos
//     $(':input', miForm).each(function() {
//     var type = this.type;
//     var tag = this.tagName.toLowerCase();
//     //limpiar los valores de los campos
//     if (type == 'text' || type == 'password' || tag == 'textarea')
//         this.value = "";
//         // los checkboxes y radios, le quitamos el checked
//     else if (type == 'checkbox' || type == 'radio')
//     this.checked = false;
//     // los select quedan con indice -
//     else if (tag == 'select')
//         this.selectedIndex = -1;
//     });
// }

(function () {
    "use strict";
    window.addEventListener(
      "load",
      function () {
        // Fetch all the forms we want to apply custom Bootstrap validation styles to
        var forms = document.getElementsByClassName("needs-validation");
        // Loop over them and prevent submission
        var validation = Array.prototype.filter.call(
          forms,
          function (form) {
            form.addEventListener(
              "submit",
              function (event) {
                if (form.checkValidity() === false) {
                  event.preventDefault();
                  event.stopPropagation();
                }
                form.classList.add("was-validated");
              },
              false
            );
          }
        );
      },
      false
    );
  })();

  cargarCuentas();

  function cargarCuentas(){
  
      $('#fk_id_cuenta').empty();
    //   $('#editar_cuenta').empty();
  
      $.get('api/obtener_cuentas',function(data){
  
          var cuentas = '<option value="" disabled selected hidden>---</option>';
  
          $.each(data,function(i,ele){
  
              cuentas += '<option value="'+ ele.id +'">'+ ele.nombre_cuenta +'</option>';
  
          });
  
          $('#fk_id_cuenta').append(cuentas);
        //   $('#editar_cuenta').append(selectClientes);
  
      });
  
  }

  cargarContactos();

  function cargarContactos(){
  
      $('#fk_id_contacto').empty();
    //   $('#editar_cuenta').empty();
  
      $.get('api/obtener_contactos',function(data){
  
          var contactos = '<option value="" disabled selected hidden>---</option>';
  
          $.each(data,function(i,ele){
  
              contactos += '<option value="'+ ele.id +'">'+ ele.nombre_contacto +'</option>';
  
          });
  
          $('#fk_id_contacto').append(contactos);
        //   $('#editar_cuenta').append(selectClientes);
  
      });
  
  }
  
